@* @model FAA_UI.ViewModels.UserViewModel
@{
    Layout=null;
}
<style>
    body { 
    overflow: hidden;
    background-color:lightblue;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    }
</style>
<!DOCTYPE html>
<html lang="en">
    
<head>
        <title>Fully Automated Biochemistry Analyzer</title><meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
        <link rel="stylesheet" href="~/css/login.css" />
        <link rel="stylesheet" href="~/css/style.css" />
        <link href="~/lib/font-awesome5/css/font-awesome.css" rel="stylesheet" />
        <link href="~/lib/font-awesome5/css/font-awesome.min.css" rel="stylesheet" />
		<link href='https://fonts.googleapis.com/css?family=Open+Sans:400,700,800' rel='stylesheet' type='text/css'>
    </head>
    <body>
        <div id="loginbox" style="padding-top: 10%;">            
            <form id="loginform" autocomplete="off" class="form-vertical" style="display: inline-block;">
             <div class="control-group normal_text"><h3><img style="width:75%;" src="~/img/TVT.png" alt="Logo" /></h3></div> 
                <div class="control-group">
                    <div class="controls">
                        <div class="main_input_box" style="font-size:25px;">
                            <span class="add-on bg_lg"><i class="fa fa-user"></i></span><select id="loginid">
                               @foreach(var item in Model.tblUsers) 
                               {
                                   <option value="@item.ULoginId">@item.ULoginId</option>     
                               }    
                            </select>
                        </div>
                    </div>
                </div>
                <div class="control-group">
                    <div class="controls">
                        <div class="main_input_box" style="font-size:25px;">
                            <span class="add-on bg_ly"><i class="fa fa-lock"></i></span><input type="password" id=pass placeholder="Password" />
                        </div>
                    </div>
                </div>
                <label id=error style="color:white;"></label>
                <div class="form-actions" style="font-size:25px;">
                    <span class="pull-left"><a href="#" class="flip-link btn btn-info" id="to-recover" style="font-size:25px;">Lost password?</a></span>
                    <span class="pull-right"><input id="btnLogin" type="button" class="btn btn-success" value="Login" onclick="Validate()" style="font-size:25px;"></input></span>
                </div>
            </form>
            <form id="recoverform" action="#" class="form-vertical">
				<p class="normal_text">Enter your e-mail address below and we will send you instructions how to recover a password.</p>				
                    <div class="controls">
                        <div class="main_input_box">
                            <span class="add-on bg_lo"><i class="fa fa-envelope"></i></span><input type="text" placeholder="E-mail address" />
                        </div>
                    </div>
                <div class="form-actions">
                    <span class="pull-left"><a href="#" class="flip-link btn btn-success" id="to-login">&laquo; Back to login</a></span>
                    <span class="pull-right"><a  class="btn btn-info">Recover</a></span>
                </div>
            </form>
        </div>       
    </body>
</html>

<script src="~/js/jquery.min.js"></script>  
<script src="~/js/login.js"></script>
<script language="javascript">
function Validate(){
    $.ajax(
    {
        type: "POST",
        url: '@Url.Action("Validate", "Login")',
        data: {
            ULoginId: $('#loginid').val(),
            UPwd: $('#pass').val()         
        },
        error: function (result) {
            $('#error').text("Unknown Error!!!");
        },
        success: function (result) {
            console.log(result);
            if (result.status == true) {
            window.location.href = '@Url.Action("Index", "Home")';
            }
            else {
                $('#error').text(result.message);
            }
        }
    });
}
//MT-Login on when Enter button is clicked -START  
function keypressHandler(e)
{
    if(e.which == 13) {
        e.preventDefault();
        $(this).blur();
        $('#btnLogin').focus().click();
    }
}
$('#loginform').keypress(keypressHandler);
//MT-Login on when Enter button is clicked -END
</script>  *@